default:
  tags:
    - pipeline

include:
  - 'https://gitlab.com/Linaro/lkft/pipelines/lkft-common/-/raw/master/bootstrap.yml'

variables:
  SKIPGEN_KERNEL_VERSION: $CI_COMMIT_REF_NAME
  BISECT_COUNT: "2"
  # Keys for GregKH, Sasha Levin, and Linus Torvalds:
  GPG_KEY_FINGERPRINTS: "647F28654894E3BD457199BE38DBBDC86092693E E27E5D8A3403A2EF66873BBCDEA66FF797772CDC ABAF11C65A2970B130ABE3C479BE3E4300411886"

  #
  # KSELFTEST_TOOLS_URL_ARM
  #
  # git describe: v5.13.10
  KSELFTEST_TOOLS_URL_ARM: "https://builds.tuxbuild.com/1wcthTXpE79q13gUacLmvz77Xfg"
  #
  # PERF_TOOLS_URL_ARM
  #
  # git describe: v5.13.10
  PERF_TOOLS_URL_ARM: "https://builds.tuxbuild.com/1wcthSazqGxWFqRs4FTZWoLju3w"
  #
  #
  # KSELFTEST_TOOLS_URL_ARM64
  #
  # git describe: v5.13.10
  KSELFTEST_TOOLS_URL_ARM64: "https://builds.tuxbuild.com/1wcthFmsaoJ5tPYhNIus0KPMDw0"
  #
  #
  # PERF_TOOLS_URL_ARM64
  #
  # git describe: v5.13.10
  PERF_TOOLS_URL_ARM64: "https://builds.tuxbuild.com/1wctiFjAdxtkbt7bZbCDb4CLTSz"
  #
  #
  # KSELFTEST_TOOLS_URL_I386
  #
  # git describe: v5.13.10
  KSELFTEST_TOOLS_URL_I386: "https://builds.tuxbuild.com/1wcthNGkcrvUAxsoyEgdX14hlIX"
  #
  #
  # PERF_TOOLS_URL_I386
  #
  # git describe: v5.13.10
  PERF_TOOLS_URL_I386: "https://builds.tuxbuild.com/1wcthvCykePAjCxX83NPbKxhFzn"
  #
  #
  # KSELFTEST_TOOLS_URL_X86_64
  #
  # git describe: v5.13.10
  KSELFTEST_TOOLS_URL_X86_64: "https://builds.tuxbuild.com/1wcthTxJmn5OU8U0qJPvKWF43Aa"
  #
  #
  # PERF_TOOLS_URL_X86_64
  #
  # git describe: v5.13.10
  PERF_TOOLS_URL_X86_64: "https://builds.tuxbuild.com/1wcthvxSee6lcOxxEYXGxaUxc7G"

# This will only build and test branches specified here.
workflow:
  rules:
    - if: '$CI_COMMIT_BRANCH =~ /^linux-4.*/'
      when: always
    - if: '$CI_COMMIT_BRANCH =~ /^linux-5.*/'
      when: always
    - when: never

stages:
  - download_prerequisites
  - prerequisites
  - build
  - sanity
  - test
  - report
  - review
  - upstream
